databaseChangeLog:
  - logicalFilePath: db-changelog-000305-add-replica_load_error-columns.yaml
  - changeSet:
      author: appian
      id: 'tag-pre-000305'
      tagDatabase:
        tag: 'pre-000305'

  - changeSet:
      author: appian
      id: '000305.1.0'
      comment: Add process_id, changed_ids, field_uuid, and type columns to replica_load_error table
      addColumn:
        tableName: replica_load_error
        columns:
          - column:
              name: process_id
              type: ${longType}
              constraints:
                nullable: true
          - column:
              name: changed_ids
              type: ${largeStringType}
              constraints:
                nullable: true
          - column:
              name: field_uuid
              type: ${uuidType}
              constraints:
                nullable: true
          - column:
              name: type
              type: ${byteType}
              valueNumeric: 1
              defaultValueNumeric: 1
              constraints:
                nullable: false
